Package net.md_5.bungee.protocol

# Class AbstractPacketHandler

java.lang.Object
net.md_5.bungee.protocol.AbstractPacketHandler

public abstract class AbstractPacketHandler extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractPacketHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handle(BossBar bossBar)`
  `void`
  `handle(BundleDelimiter bundleDelimiter)`
  `void`
  `handle(Chat chat)`
  `void`
  `handle(ClearDialog clearDialog)`
  `void`
  `handle(ClearTitles title)`
  `void`
  `handle(ClientChat chat)`
  `void`
  `handle(ClientCommand command)`
  `void`
  `handle(ClientSettings settings)`
  `void`
  `handle(Commands commands)`
  `void`
  `handle(CookieRequest cookieRequest)`
  `void`
  `handle(CookieResponse cookieResponse)`
  `void`
  `handle(CustomClickAction customClickAction)`
  `void`
  `handle(DisconnectReportDetails disconnectReportDetails)`
  `void`
  `handle(EncryptionRequest encryptionRequest)`
  `void`
  `handle(EncryptionResponse encryptionResponse)`
  `void`
  `handle(EntityStatus status)`
  `void`
  `handle(FinishConfiguration finishConfiguration)`
  `void`
  `handle(GameState gameState)`
  `void`
  `handle(Handshake handshake)`
  `void`
  `handle(KeepAlive keepAlive)`
  `void`
  `handle(Kick kick)`
  `void`
  `handle(LegacyHandshake legacyHandshake)`
  `void`
  `handle(LegacyPing ping)`
  `void`
  `handle(Login login)`
  `void`
  `handle(LoginAcknowledged loginAcknowledged)`
  `void`
  `handle(LoginPayloadRequest request)`
  `void`
  `handle(LoginPayloadResponse response)`
  `void`
  `handle(LoginRequest loginRequest)`
  `void`
  `handle(LoginSuccess loginSuccess)`
  `void`
  `handle(PingPacket ping)`
  `void`
  `handle(PlayerListHeaderFooter playerListHeaderFooter)`
  `void`
  `handle(PlayerListItem playerListItem)`
  `void`
  `handle(PlayerListItemRemove playerListItem)`
  `void`
  `handle(PlayerListItemUpdate playerListItem)`
  `void`
  `handle(PluginMessage pluginMessage)`
  `void`
  `handle(Respawn respawn)`
  `void`
  `handle(ScoreboardDisplay displayScoreboard)`
  `void`
  `handle(ScoreboardObjective scoreboardObjective)`
  `void`
  `handle(ScoreboardScore scoreboardScore)`
  `void`
  `handle(ScoreboardScoreReset scoreboardScoreReset)`
  `void`
  `handle(ServerData serverData)`
  `void`
  `handle(ServerLinks serverLinks)`
  `void`
  `handle(SetCompression setCompression)`
  `void`
  `handle(ShowDialog showDialog)`
  `void`
  `handle(ShowDialogDirect showDialogDirect)`
  `void`
  `handle(StartConfiguration startConfiguration)`
  `void`
  `handle(StatusRequest statusRequest)`
  `void`
  `handle(StatusResponse statusResponse)`
  `void`
  `handle(StoreCookie storeCookie)`
  `void`
  `handle(Subtitle title)`
  `void`
  `handle(SystemChat chat)`
  `void`
  `handle(TabCompleteRequest tabComplete)`
  `void`
  `handle(TabCompleteResponse tabResponse)`
  `void`
  `handle(Team team)`
  `void`
  `handle(Title title)`
  `void`
  `handle(TitleTimes title)`
  `void`
  `handle(Transfer transfer)`
  `void`
  `handle(UnsignedClientCommand command)`
  `void`
  `handle(ViewDistance viewDistance)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractPacketHandler

    public AbstractPacketHandler()

- ## Method Details

  - ### handle

    public void handle(LegacyPing ping) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(TabCompleteResponse tabResponse) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(PingPacket ping) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(StatusRequest statusRequest) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(StatusResponse statusResponse) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(Handshake handshake) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(KeepAlive keepAlive) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(Login login) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(Chat chat) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ClientChat chat) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(SystemChat chat) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ClientCommand command) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(UnsignedClientCommand command) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(Respawn respawn) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(LoginRequest loginRequest) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ClientSettings settings) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(PlayerListItem playerListItem) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(PlayerListItemRemove playerListItem) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(PlayerListItemUpdate playerListItem) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(PlayerListHeaderFooter playerListHeaderFooter) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(TabCompleteRequest tabComplete) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ScoreboardObjective scoreboardObjective) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ScoreboardScore scoreboardScore) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ScoreboardScoreReset scoreboardScoreReset) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(EncryptionRequest encryptionRequest) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ScoreboardDisplay displayScoreboard) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(Team team) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(Title title) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(Subtitle title) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(TitleTimes title) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ClearTitles title) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(PluginMessage pluginMessage) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(Kick kick) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(EncryptionResponse encryptionResponse) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(LoginSuccess loginSuccess) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(LegacyHandshake legacyHandshake) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(SetCompression setCompression) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(BossBar bossBar) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(LoginPayloadRequest request) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(LoginPayloadResponse response) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(EntityStatus status) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(Commands commands) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ViewDistance viewDistance) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(GameState gameState) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ServerData serverData) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(LoginAcknowledged loginAcknowledged) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(StartConfiguration startConfiguration) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(FinishConfiguration finishConfiguration) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(Transfer transfer) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(StoreCookie storeCookie) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(CookieRequest cookieRequest) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(CookieResponse cookieResponse) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(DisconnectReportDetails disconnectReportDetails) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ServerLinks serverLinks) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ShowDialog showDialog) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ShowDialogDirect showDialogDirect) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(ClearDialog clearDialog) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(CustomClickAction customClickAction) throws Exception
    Throws:
      `Exception`

  - ### handle

    public void handle(BundleDelimiter bundleDelimiter) throws Exception
    Throws:
      `Exception`